Ver Fonte

add automount script

Waldemar Brodkorb há 10 anos atrás
pai
commit
aaaf63c11a
2 ficheiros alterados com 14 adições e 1 exclusões
  1. 1 1
      package/ntfs-3g/Makefile
  2. 13 0
      package/ntfs-3g/files/ntfs3g.init

+ 1 - 1
package/ntfs-3g/Makefile

@@ -5,7 +5,7 @@ include ${TOPDIR}/rules.mk
 
 PKG_NAME:=		ntfs-3g
 PKG_VERSION:=		2014.2.15
-PKG_RELEASE:=		2
+PKG_RELEASE:=		4
 PKG_MD5SUM:=		f11d563816249d730a00498983485f3a
 PKG_DESCR:=		ntfs filesystem driver using fuse
 PKG_SECTION:=		fs

+ 13 - 0
package/ntfs-3g/files/ntfs3g.init

@@ -0,0 +1,13 @@
+#!/bin/sh
+#INIT 20
+[[ $1 = autostart ]] || exit 0
+
+# mount ntfs-3g filesystems
+grep fuse /proc/filesystems >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep -v "^#" /etc/fstab |grep ntfs-3g >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ntfs-3g
+	fi
+fi
+exit 0